#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QCamera>
#include <QCameraImageCapture>
#include <QPainter>
#include <QTimer>


namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

private slots:
    void on_pushButton_clicked();
    void imageCaptured(int,QImage);
    void paintEvent(QPaintEvent *event);


private:
    Ui::Widget *ui;
    QCamera *cam;
    QCameraImageCapture *imageCapture;
    QImage image;
};

#endif // WIDGET_H
